Subject: [PATCH net-next 0/3] net: ag71xx: phylink validate implementation updates

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 17 Nov 2021 16:45:57 +0000

Hi,

This series converts ag71xx to fill in the supported_interfaces member
of phylink_config, cleans up the validate() implementation, and then
converts to phylink_generic_validate().

The question over the port linkmode restriction has been answered by
Oleksij - there is no reason for this restriction, so we can go the
whole hog with this conversion. Thanks!

 drivers/net/ethernet/atheros/ag71xx.c | 96 +++++++++++------------------------
 1 file changed, 29 insertions(+), 67 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!